MMEvents.createStructures(event => {
    event.create("mm:witch_water_structure")
        .controllerId("mm:witch_water")
        .name("Witch Water")
        .layout(a => {
            a.layer([
                "BBBBB",
                "BDDDB",
                "BDIDB",
                "BDDDB",
                "BBBBB"
            ]).layer([
                "BD1DB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB" 
            ]).layer([
                "BDDDB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB"  
            ]).layer([
                "BEFGB",    
                "DHHHD", 
                "DHHHD", 
                "DHHHD", 
                "BDCDB" 
            ]).layer([
                "BBBBB",    
                "BBBBB", 
                "BBBBB", 
                "BBBBB", 
                "BBBBB"               
            ]).key("A", {
                block: "minecraft:glass"
            }).key("B", {
                block: "kubejs:violet"
            }).key("D", {
                block: "tconstruct:clear_glass"
            }).key("E", {
                block: "mm:fluid_witch_water_input"
            }).key("F", {
                block: "mm:energy_witch_water_input"
            }).key("G", {
                block: "mm:fluid_witch_water_output"
            }).key("H", {
                block: "exdeorum:stone_barrel"
            }).key("I", {
                block: "projectred_illumination:purple_inverted_illumar_lamp"
                }).key("1", {
                block: "mm:item_witch_water_input"
            })
        })
})